﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using DoubleDeckerbus.Drawing;
using DoubleDeckerbus.Entities;

namespace DoubleDeckerbus.Move_Strategy
{
    public interface IMoveableObject
    {
        ObjectParameters? GetObjectPosition { get; }
        int GetStep { get; }
        bool CheckCanMove(DirectionType direction);
        void MoveObject(DirectionType direction);
    }
}