﻿using DoubleDeckerbus.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DoubleDeckerbus.Entities
{
    public class EntityDoubleDeckerbus : EntityBus
    {
        public Color AddColor { get; private set; }
        public bool IsSecondFloor { get; private set; }
        public bool IsStairs { get; private set; }

        public EntityDoubleDeckerbus(int speed, double weight, Color bodyColor, Color additionalColor, bool secondfloor, bool stairs) : base(speed, weight, bodyColor)
        {
            AddColor = additionalColor;
            IsSecondFloor = secondfloor;
            IsStairs = stairs;
        }

        public void ChangeAdditionalColor(Color additionalColor)
        {
            AddColor = additionalColor;
        }
    }
}